Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Family

    java.lang.Object
      oracle.ifs.server.S_LibraryObject
          oracle.ifs.server.S_TieLibraryObject
              oracle.ifs.server.S_PublicObject
                  oracle.ifs.server.S_TiePublicObject
                      oracle.ifs.server.S_Family

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TieFamily

    public class S_Family

extends S_TiePublicObject

Server side representation of the FAMILY class.

(Published)

Field Summary

Fields inherited from class oracle.ifs.server.S_PublicObject
`ACL_ATTRIBUTE, CLASS_NAME, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICY_ENUM_EXTENDEDFREE_IGNORE_OWNERSHIP, POLICY_ENUM_EXTENDEDFREE_INVALID_VALUE, POLICY_ENUM_EXTENDEDFREE_REQUIRE_ADMIN, POLICYBUNDLE_ATTRIBUTE, RESOLVED_OBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.server.S_LibraryObject
`CASCADE_OP_COPY_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_COPY_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_DELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_DELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_DELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_DELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_DELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_DELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_DELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_FREE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_FREE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_FREE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_FREE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_FREE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_FREE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_FREE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_FREE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_FREE_SYSTEMOBJECT_TO_CATEGORY, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_FREE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_FREE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_FREE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDEFINED, CASCADE_OP_UNDELETE_FAMILY_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_LEFT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_RIGHT_RELATIONSHIP, CASCADE_OP_UNDELETE_PUBLICOBJECT_TO_VERSIONDESCRIPTION, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_LEFT_PUBLICOBJECT, CASCADE_OP_UNDELETE_RELATIONSHIP_TO_RIGHT_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_PUBLICOBJECT, CASCADE_OP_UNDELETE_VERSIONDESCRIPTION_TO_VERSIONSERIES, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_FAMILY, CASCADE_OP_UNDELETE_VERSIONSERIES_TO_VERSIONDESCRIPTION, CASCADE_OP_UPDATE_CATEGORY_TO_PUBLICOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SCHEMAOBJECT, CASCADE_OP_UPDATE_CATEGORY_TO_SYSTEMOBJECT, CASCADE_OP_UPDATE_PUBLICOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SCHEMAOBJECT_TO_CATEGORY, CASCADE_OP_UPDATE_SYSTEMOBJECT_TO_CATEGORY, DEFAULT_RENDERER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `S_Family(S_LibrarySession session, java.lang.Long classId)` Construct object using a session and class id.
`protected` | `S_Family(S_LibrarySession session, S_LibraryObjectData data)` Construct a family object using the session and S_LibraryObjectData .

Method Summary
`protected void` | `cascadeDelete(OperationState opState, S_LibraryObjectDefinition def)` Implements cascade operations to be performed before deleting an object.
`protected void` | `cascadeFree(OperationState opState, S_LibraryObjectDefinition def)` Implements cascade operations to be performed before freeing an object.
`protected void` | `cascadeUndelete(OperationState opState, S_LibraryObjectDefinition def)` Implements cascade operations to be performed before undeleting an object.
`protected void` | `checkDefaultVersionDescription(S_LibraryObjectDefinition def)` Checks to make sure that the default version description in this family.
`protected void` | `checkPrimaryVersionSeries(S_LibraryObjectDefinition def)` Checks to make sure that the Primary Version Series attribute has a Version series which is in the same family.
`S_LibraryObject` | `copy(OperationState opState, S_LibraryObjectDefinition def)` Makes a copy of the resolved PUBLICOBJECT.
`protected static S_LibraryObjectDefinition` | `createDefaultDefinition(S_LibrarySession sess)` Creates a default server side definition for a Family.
`protected S_VersionDescription` | `createVersionSeries(S_LibraryObjectDefinition vddef)` Creates a new secondary version series.
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Add or modify the S_LibraryObjectDefinition for this class.
`protected S_PublicObject` | `determineResolvedObject()` Gets the object this family resolves to.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Update any system attributes appropriate for updating this family
`S_VersionSeries[]` | `getAllVersionSeries()` Gets the server side representation of all version series in this family.
`java.lang.Long[]` | `getAllVersionSeriesIds()` Get the IDs of all VersionSeries contained by this instance.
`protected long` | `getConsumedStorage()` Gets the sum of contentsizes of all the documents in this family.
`protected S_VersionDescription` | `getDefaultVersionDescription()` Gets the default version description for this family.
`protected S_VersionSeries` | `getPrimaryVersionSeries()` Gets the Primary Version Series of this family.
`protected void` | `handleCascade(OperationState opState, S_LibraryObject source, int cascadeType, S_LibraryObjectDefinition sdef, java.lang.Object customArg)` Handles a cascaded operation initiated by (usually) another object.
`protected void` | `setDefaultVersionDescription(S_VersionDescription version)` Sets the default VERSIONDESCRIPTION for the family.
`protected void` | `setPrimaryVersionSeries(S_VersionSeries series)` Sets the PRIMARY VERSIONSERIES for this family
`protected void` | `setSecondaryVersionSeries(S_VersionSeries series)` Sets the secondary VERSIONSERIES for this family
`protected void` | `verifyCanAddVersionSeries()` Verifies that additional VersionSeries' can be added.
`protected void` | `verifyCanRemoveVersionSeries()` Verifies that VersionSeries' can be removed from the Family.
`protected void` | `verifyCanSetDefaultVersionAttributes()` Verifies that default versionDescriptions can be set.
`protected void` | `verifyVersionSeriesCanBeDeleted(S_LibraryObject vs, OperationState opState)` Verifies that a specified VersionSeries can be deleted from a VersionSeries.

Methods inherited from class oracle.ifs.server.S_PublicObject
`addCategory, addRelationship, addRelationship, canUseContentQuota, cascadeCopy, checkAccess, constructPublicObjectArray, createCategories, createDefaultPolicyPropertyBundle, createDefaultPropertyBundle, delete, delete, DYNReplaceCreator, DYNReplaceDeletor, DYNReplaceModifier, extendedPostDelete, extendedPostFree, extendedPostInsert, extendedPostUndelete, extendedPostUpdate, extendedPreCopy, extendedPreDelete, extendedPreFree, extendedPreInsert, extendedPreUndelete, forceSecuredObjectsToClear, freeIfNoFolderReferences, freeNonsharedAcl, freeNonsharedLockObject, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAllLeftRelationships, getAllRightRelationships, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getAuditEventFolderContext, getCategories, getCategories, getCategories, getCategory, getDefaultAclFromUserProfile, getFamily, getFlags, getLeftRelationships, getLeftwardRelationshipDatas, getLeftwardRelationshipDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjectDatas, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinkIds, getLinks, getLockedForSessionId, getLockObject, getOwner, getPrimaryParentFolder, getPropagatedSecurityAttributeNames, getPropagatedSecurityColumnNames, getReferencingFolderIds, getReferencingFolders, getResolvedObject, getRightRelationships, getRightwardRelationshipDatas, getRightwardRelationshipDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjectDatas, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSpecificLeftRelationships, getSpecificRightRelationships, getVersionDescriptions, handleExtendedFreePolicy, hasNameAttribute, invokeLockingPolicy, isAuditCertificateSecured, isDeleted, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isLockObjectEnabled, isLockObjectEnabled, isOwner, isVersionable, postCreateAddToFolder, postDelete, postSecurityChangeAuditEvent, postUndelete, preDelete, preUndelete, propagateFreeIfNoFolderReferences, propagateNameChanges, propagateSecurityChanges, propogateSettingsToProxyService, putProperty, reassociateLinks, relationshipExists, removeRelationship, removeRelationship, removeRowFromAclProxyIfSecured, resolveACLSetting, resolveResolvedObject, resolveSecuredBySettings, signalLeftRelationshipFreed, signalRightRelationshipFreed, undelete, undelete, unlockForSession, updateFamily, updateLastModifiedInfo, updatePrimaryParentFolder, vectorToSPublicObjectArray, verifyCanAddRelationship, verifyCanCreate, verifyCanFree, verifyCanLock, verifyCanRemoveRelationship, verifyCanSetPolicy, verifyCanUnlock, verifyCanUpdate, verifyCanUseContentQuota, verifyGrantAccess, verifyObjectNotLocked, verifyObjectNotLocked, verifyPublicObjectPermission`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`applyValueDefault, associatedPostFree, associatedPostInsert, associatedPreInsert, cascadeUpdate, checkRequiredForInsert, checkSettable, clearArrayTypeAttributeValues, clonePublicObjectAttribute, constructIdArray, constructIdArray, copy, copyVectorToLibraryObjectArray, createInstance, deleteRows, deriveOwnerUniqueName, deriveOwnerUniqueName, deriveUppercasedAttribute, determineClassDomain, determinePolicy, determinePolicy, determineValueDefault, determineValueDomain, dispose, DYNLockRows, equals, executePolicyOperation, findPolicyFromPropertyBundleAv, free, free, getAttribute, getAttributeByUpperCaseName, getAuditCertificateName, getAuditDomainContext, getClassData, getClassId, getClassName, getClassObject, getData, getDefinition, getEffectivePolicyActionContexts, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getId, getLibraryConnection, getName, getObjectReferenceAttribute, getPropertyBundle, getPropertyValue, getResourceString, getResourceString, getService, getSession, getSessionInterface, getTraceLogger, handleEvent, hashCode, insertReferenceAttributes, insertRow, insertRows, invalidateState, invokeOperation, invokePolicyMethod, isBroadcastCreateEventEnabled, isInstanceOf, issueCascade, isTraced, lockRows, postEvent, postEvent, postFree, postInsert, postUpdate, preFree, preInsert, preUpdate, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, toString, trace, update, updateRows, verifyCanGetContent, verifyCanSetContent, verifyWriteableTransactionInProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Constructor Detail

### S_Family

    protected S_Family(S_LibrarySession session,
                       S_LibraryObjectData data)
                throws IfsException

  Construct a family object using the session and S_LibraryObjectData .

  Parameters:
    `session` - current server side session representation.
    `data` - Data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### S_Family

    protected S_Family(S_LibrarySession session,
                       java.lang.Long classId)
                throws IfsException

  Construct object using a session and class id.

  This variant is used for objects that have not been created in the database yet.

  Parameters:
    `session` - current server side session representation.
    `classId` - id of the class being created.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Description copied from class: `S_Family`
  Add or modify the S_LibraryObjectDefinition for this class. This this called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of the target object.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### copy

    public S_LibraryObject copy(OperationState opState,
                                S_LibraryObjectDefinition def)
                         throws IfsException

  Description copied from class: `S_Family`
  Makes a copy of the resolved PUBLICOBJECT.

  Family overrides this and currently only copies the object that the family resolves to. The object returned is the copy of the resolved object. This will become more flexible in the future.

  Overrides:
    `copy` in class `S_LibraryObject`
  Parameters:
    `opState` - the OperationState
    `def` - any modifications to make to the copied object
  Returns:
    the copied object.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### handleCascade

    protected void handleCascade(OperationState opState,
                                 S_LibraryObject source,
                                 int cascadeType,
                                 S_LibraryObjectDefinition sdef,
                                 java.lang.Object customArg)
                          throws IfsException

  Description copied from class: `S_Family`
  Handles a cascaded operation initiated by (usually) another object.

  This is overridden by classes to add custom handlers. It is ok if no class handles the cascade (that is implied to mean "no action needed").

  Overrides:
    `handleCascade` in class `S_PublicObject`
  Parameters:
    `opState` - originating operation state
    `source` - object initiating this cascade request; not necessarily the original object
    `cascadeType` - type of cascade request
    `sdef` - original Definition object
    `customArg` - any custom parameter.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeFree

    protected void cascadeFree(OperationState opState,
                               S_LibraryObjectDefinition def)
                        throws IfsException

  Description copied from class: `S_Family`
  Implements cascade operations to be performed before freeing an object.

  This is overridden by classes that need to perform operations before successfully freeing the rows for the freed instance.

  Overrides:
    `cascadeFree` in class `S_PublicObject`
  Parameters:
    `opState` - originating Operation state.
    `def` - server side representation of definition.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeDelete

    protected void cascadeDelete(OperationState opState,
                                 S_LibraryObjectDefinition def)
                          throws IfsException

  Description copied from class: `S_Family`
  Implements cascade operations to be performed before deleting an object.

  This is overridden by classes that need to perform operations before successfully deleting the rows for the freed instance.

  Overrides:
    `cascadeDelete` in class `S_PublicObject`
  Parameters:
    `opState` - the OperationState
    `def` - any modifications to make to the copied object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### cascadeUndelete

    protected void cascadeUndelete(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Description copied from class: `S_Family`
  Implements cascade operations to be performed before undeleting an object.

  This is overridden by classes that need to perform operations before successfully undeleting the rows for the freed instance.

  Overrides:
    `cascadeUndelete` in class `S_PublicObject`
  Parameters:
    `opState` - the OperationState
    `def` - any modifications to make to the copied object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Description copied from class: `S_Family`
  Update any system attributes appropriate for updating this family

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - current operation state
    `def` - current object definition to be updated with system attributes
  Throws:
    `IfsException` - if operation fails.
  (Published)

### checkPrimaryVersionSeries

    protected void checkPrimaryVersionSeries(S_LibraryObjectDefinition def)
                                      throws IfsException

  Description copied from class: `S_Family`
  Checks to make sure that the Primary Version Series attribute has a Version series which is in the same family.

  Parameters:
    `def` - Serevr side definition
  Throws:
    `IfsException` - (IFS-34400) if Version series is not in this family.
  (Unpublished)

### setPrimaryVersionSeries

    protected void setPrimaryVersionSeries(S_VersionSeries series)
                                    throws IfsException

  Description copied from class: `S_Family`
  Sets the PRIMARY VERSIONSERIES for this family

  Parameters:
    `series` - server side representation for primary VERSIONSERIES
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### setSecondaryVersionSeries

    protected void setSecondaryVersionSeries(S_VersionSeries series)
                                      throws IfsException

  Description copied from class: `S_Family`
  Sets the secondary VERSIONSERIES for this family

  Parameters:
    `series` - server side representation for secondary VERSIONSERIES
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### checkDefaultVersionDescription

    protected void checkDefaultVersionDescription(S_LibraryObjectDefinition def)
                                           throws IfsException

  Description copied from class: `S_Family`
  Checks to make sure that the default version description in this family.

  Parameters:
    `def` - server side definition
  Throws:
    `IfsException` - (IFS-34401) if the Version description is not in this family.
  (Unpublished)

### setDefaultVersionDescription

    protected void setDefaultVersionDescription(S_VersionDescription version)
                                         throws IfsException

  Description copied from class: `S_Family`
  Sets the default VERSIONDESCRIPTION for the family.

  Parameters:
    `version` - default version description for the family
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### determineResolvedObject

    protected S_PublicObject determineResolvedObject()
                                              throws IfsException

  Description copied from class: `S_Family`
  Gets the object this family resolves to.

  Overrides:
    `determineResolvedObject` in class `S_PublicObject`
  Returns:
    the object we resolve to
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### createVersionSeries

    protected S_VersionDescription createVersionSeries(S_LibraryObjectDefinition vddef)
                                                throws IfsException

  Description copied from class: `S_Family`
  Creates a new secondary version series.

  Parameters:
    `vddef` - server side definition of a version description.
  Returns:
    new server side version descriptiion.
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### getDefaultVersionDescription

    protected S_VersionDescription getDefaultVersionDescription()
                                                         throws IfsException

  Description copied from class: `S_Family`
  Gets the default version description for this family.

  Returns:
    server side representation of default version description
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getPrimaryVersionSeries

    protected S_VersionSeries getPrimaryVersionSeries()
                                               throws IfsException

  Description copied from class: `S_Family`
  Gets the Primary Version Series of this family.

  Returns:
    server side representation of primary version series
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getAllVersionSeries

    public S_VersionSeries[] getAllVersionSeries()
                                          throws IfsException

  Description copied from class: `S_Family`
  Gets the server side representation of all version series in this family.

  Returns:
    array of S_versionSeries.
  Throws:
    `IfsException` - is the operation fails
  (Published)

### getConsumedStorage

    protected long getConsumedStorage()
                               throws IfsException

  Description copied from class: `S_Family`
  Gets the sum of contentsizes of all the documents in this family.

  Overrides:
    `getConsumedStorage` in class `S_PublicObject`
  Returns:
    storage consumed by content associated with this family
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAllVersionSeriesIds

    public java.lang.Long[] getAllVersionSeriesIds()
                                            throws IfsException

  Description copied from class: `S_Family`
  Get the IDs of all VersionSeries contained by this instance.

  Returns:
    the array of IDs of the VersionSeries
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### createDefaultDefinition

    protected static S_LibraryObjectDefinition createDefaultDefinition(S_LibrarySession sess)
                                                                throws IfsException

  Description copied from class: `S_Family`
  Creates a default server side definition for a Family.

  Parameters:
    `sess` - handle to the current session
  Returns:
    server side definition for a Family
  Throws:
    `IfsException` - (IFS-10405) if the operation fails
  (Unpublished)

### verifyCanAddVersionSeries

    protected void verifyCanAddVersionSeries()
                                      throws IfsException

  Description copied from class: `S_Family`
  Verifies that additional VersionSeries' can be added.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanRemoveVersionSeries

    protected void verifyCanRemoveVersionSeries()
                                         throws IfsException

  Description copied from class: `S_Family`
  Verifies that VersionSeries' can be removed from the Family.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyCanSetDefaultVersionAttributes

    protected void verifyCanSetDefaultVersionAttributes()
                                                 throws IfsException

  Description copied from class: `S_Family`
  Verifies that default versionDescriptions can be set.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### verifyVersionSeriesCanBeDeleted

    protected void verifyVersionSeriesCanBeDeleted(S_LibraryObject vs,
                                                   OperationState opState)
                                            throws IfsException

  Description copied from class: `S_Family`
  Verifies that a specified VersionSeries can be deleted from a VersionSeries.

  Parameters:
    `vs` - the specified VersionSeries
  Throws:
    `IfsException` - if the specified object cannot be deleted or freed.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD